## org.apache.myfaces.custom.jslistener
Class JsValueChangeListenerTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.myfaces.taglib.UIComponentTagBase
              org.apache.myfaces.custom.jslistener.JsValueChangeListenerTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

public class JsValueChangeListenerTag
extends UIComponentTagBase

Version:
  $Revision: 215977 $ $Date: 2005-07-12 11:56:11 -0400 (Tue, 12 Jul 2005) $
Author:
  Martin Marinschek (latest modification by $Author: grantsmith $)

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`JsValueChangeListenerTag()`

Method Summary
`java.lang.String` `getComponentType()`
`java.lang.String` `getRendererType()`
`void` `release()`
`void` `setExpressionValue(java.lang.String expressionValue)`
`void` `setFor(java.lang.String aFor)`
`protected void` `setProperties(javax.faces.component.UIComponent component)`
`void` `setProperty(java.lang.String property)`

Methods inherited from class org.apache.myfaces.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setImageLocation, setIntegerProperty, setJavascriptLocation, setStringProperty, setStyleLocation, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JsValueChangeListenerTag

    public JsValueChangeListenerTag()

Method Detail

### getComponentType

    public java.lang.String getComponentType()

### getRendererType

    public java.lang.String getRendererType()

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `UIComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `UIComponentTagBase`

### setExpressionValue

    public void setExpressionValue(java.lang.String expressionValue)

### setFor

    public void setFor(java.lang.String aFor)

### setProperty

    public void setProperty(java.lang.String property)